<?php
include '../admin/config.php';
$conn = new mysqli($HostName, $HostUser, $HostPass, $DatabaseName);



    $fullName  = $_POST["name"]; // الاسم الكامل
    $email = $_POST["email"]; // اميل امستخدم
    $pass  = $_POST["pass"]; // باسوورد المستخدم
	$info  = $_POST["info"]; //
	$token  = $_POST["token"]; //
	
	
	/*
	$fullName  = "mohamedHirech" ; // الاسم الكامل
    $email = "mohamedHirech@gmail.com" ; // اميل امستخدم
    $pass  = "123456" ; // باسوورد المستخدم
	$info  = "android-05.05-Test" ; //
	$token  = "1234567890" ; //
	*/
	
    if(isset($_POST["token"])){ // هذا الامر لتسجيل التوكن فقط وايقاف الاكواد التي بالاسفل
		 $sql = "UPDATE USERS SET token='$token'  WHERE email='$email' "; // إضافة النقاط والسجل للمستخدم
         $response["success"] = $conn->query($sql);
		 
		 $conn->close();  
         echo json_encode($response);
         return ;
					
	}
	
	
	$code = (rand(1111111111 , 9999999999)); // انشاء كود رفرال
	$ip = $_SERVER['REMOTE_ADDR']; // جلب الايبي الرئيسي للمستخدم
    $dateReg = date("Y-m-d H:i");
   
   
    $response = array(); // انشاء مصفوفة فارغة
    $response["success"] = false ;
	
	if ($fullName == "") {
        $response["success"] = "لا تترك خانة الاسم فارغة !" ; 
		echo json_encode($response);
		return ;
    }
	
     if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {   // Validate email
             $response["success"] = "البريد الالكتروني غير صحيح  مثال:exomple@gmail.com" ;  
		     echo json_encode($response);
		     return ;
         } 
				
				
// التحقق من عدم وجود الاميل من قبل

    	$query = "SELECT email FROM USERS WHERE email='$email' ";
         if( mysqli_fetch_array( mysqli_query($conn,$query) ) ) {
	          $response["success"] = "الاميل موجود من قبل" ;  
		      echo json_encode($response);
		      return ;
           }
	
		 $sql = "SELECT info FROM USERS WHERE info='$info' " ;
         if( !mysqli_fetch_array( mysqli_query($conn,$sql) ) ) {
		       $acReff = true ; 
             }


	$sql = "INSERT INTO USERS (fullname, email, pass, code, log, ip, dateReg, lastlogin, info ) 
	                    VALUES('$fullName', '$email', '$pass', '$code', 'Regester NEW \n', '$ip', '$dateReg', '$dateReg', '$info' )";
    if ($conn->query($sql) === TRUE) {
          $response["success"] = true ;
        } else {
          $response["success"] = "Error: " . $sql . "<br>" . $conn->error;
        }


  
   if($acReff){
		 $reff = "SELECT reff_code FROM ref_ip WHERE ip='$ip' ";
         if($row = mysqli_fetch_array(mysqli_query($conn,$reff))) { 
			    $reff_code = $row['reff_code'] ;
				
			        $sql = "UPDATE USERS SET energe=energe+5 , log=CONCAT(log, 'New Refferal: $email \n')   WHERE code='$reff_code' "; // إضافة النقاط والسجل للمستخدم
                    $conn->query($sql);
			 } 
	
    }
		   


			 
  $conn->close();  
  echo json_encode($response);
	
?>
